%define name	eazykeyboard
%define version 2.0
%define release %mkrel 1

Summary: 	Eazykeyboard provides a simple onscreen keyboard 
Name: 	 	%{name}
Version: 	%{version}
Release: 	%{release}
Source:		http://www.gnomefiles.org/%{name}_%{version}.orig.tar.gz
URL:		http://code.google.com/p/eazykeyboard/
License:	GPL
Group:		Accessibility
BuildRoot:	%{_tmppath}/%{name}%{version}-%{release}-buildroot
BuildRequires:	pkgconfig 
BuildRequires:  gtk2-devel 
BuildRequires:  desktop-file-utils


%description
Eazykeyboard provides a simple onscreen keyboard that can be used to type with keyboard or mouse into application windows. It is useful for physically impaired people and who are unfamiliar with certain keyboard layout. It sends key events to the application where the input foucs was last set. User can either click on buttons of this virtual keyboad or directly press physical keys(with input focus on eazykeyboard). The eazykeyboad forwards appropriate key events to the application input window.
Features

* Supports multiple languages (All languages supported by gtk-2.0).
* Supports one to many mapping (One key can send many characters, maximum 3).
* It has facility to change language on the fly.
* Initialy reads current keyboard map loaded into the memory.
* It is transperant to xmodmap and Xkb input mechanism.
* It may work independent of current keyboard map loaded into the memory. 

%prep
%setup -q -n %{name}-%{version}.orig

%build
%configure2_5x

%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cp -r %name.desktop $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/%name.desktop

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -r onscreenkeyboard.png $RPM_BUILD_ROOT%{_datadir}/pixmaps

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS README NEWS COPYING
%{_bindir}/%{name}
%{_datadir}/%{name}/keymaps/*.txt
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/onscreenkeyboard.png


%changelog
* Thu Mar 18 2010 slick50 <lxgator@gmail.com> 2.0-1pclos2010
- initial pkg
